<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>First GO Model</title>

    <!-- Bootstrap Import -->
    <link href="./css/bootstrap-5.0.2-dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="./css/bootstrap-5.0.2-dist/js/bootstrap.min.js"></script>
    <script src="./node_modules/axios/dist/axios.min.js"></script>
    
    <script src="./js/pessoas.js"></script>
</head>

<body>
    <div id="container-top">
        <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
            <div class="container-fluid">
                <a class="navbar-brand" href="#">Golang</a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                    data-bs-target="#navbarTogglerMenu" aria-controls="navbarTogglerMenu" aria-expanded="false"
                    aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarTogglerMenu">
                    <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                        <li class="nav-item">
                            <a class="nav-link" aria-current="page" href="./index.html">Home</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link active" href="./pessoas.html">Pessoas</a>
                        </li>
                        <li class="nav-item">
                          <a class="nav-link" href="./produtos.html">Produtos</a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </div>
    <div class="modal fade" id="modalMessageAlert" tabindex="-1" aria-labelledby="modalMessageAlertLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content border border-3">
            <div class="modal-header text-light bg-gradient">
              <h5 class="modal-title" id="modalMessageAlertLabel">Atenção</h5>
              <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close" onclick="closeModalMessageAlert();"></button>
            </div>
            <div class="modal-body">
                <h4 id="modalMessageAlertInfo"></h4>
            </div>
          </div>
        </div>
    </div>

    <div id="container-body" class="container-fluid mt-4">
        <div class="row">
            <div class="col-12">
                <div class="card text-dark bg-light mb-3">
                    <div class="card-header">
                        <div class="fs-4" style="position: absolute;">Pessoas</div>
                        <button id="cadastrarPesquisar" data-type="1" type="button"
                            class="btn btn-outline-secondary float-end"
                            onclick="alterarConteudoDiv(this);">Cadastrar</button>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div id="pesquisarPessoas" class="col-12">
                                <div class="d-flex">
                                    <input id="inpDataSearch" class="form-control me-2" type="search"
                                        placeholder="Nome..." aria-label="Search">
                                    <button class="btn btn-outline-primary" type="button" style="display: inline-flex;" onclick="searchPessoas(this);">
                                        <span class="spinner-grow spinner-grow-sm d-none" role="status" aria-hidden="true" style="margin-block: auto;"></span>
                                        Pesquisar
                                    </button>
                                </div>
                                <div class="table-responsive mt-3">
                                    <table id="tabelaPessoas" class="table table-border table-sm table-light table-striped table-hover">
                                        <thead class="table-dark">
                                            <tr>
                                                <th scope="col">#</th>
                                                <th scope="col">Nome</th>
                                                <th scope="col">Email</th>
                                                <th scope="col">Idade</th>
                                                <th scope="col">Status</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                            <div id="cadastroPessoas" class="col-12 d-none">

                                <div class="container-fluid row">
                                    <div class="col-3">
                                    <label for="IdPessoa" class="form-label">Código</label>
                                    <input type="number" class="form-control" id="IdPessoa" value="" disabled>
                                    </div>
                                </div>
                                <div class="container-fluid row">
                                    <div class="col-4">
                                        <label for="NomePessoa" class="form-label">Nome</label>
                                        <input type="text" class="form-control" id="NomePessoa" value="" required>
                                        <div class="valid-feedback">
                                            Informe seu nome!
                                        </div>
                                    </div>
                                    <div class="col-4">
                                        <label for="EmailPessoa" class="form-label">Email</label>
                                        <input type="email" class="form-control" id="EmailPessoa" value="" required>
                                        <div class="valid-feedback">
                                            Informe seu email!
                                        </div>
                                    </div>
                                    <div class="col-4">
                                        <label for="IdadePessoa" class="form-label">Idade</label>
                                        <input type="number" class="form-control" id="IdadePessoa" value="" required>
                                        <div class="valid-feedback">
                                            Informe sua idade!
                                        </div>
                                    </div>
                                    <div class="col-12 mt-3">
                                        <div class="form-check">
                                            <input class="form-check-input" type="checkbox" value="" id="checkStatus"
                                                onchange="alterarLegendaStatus(this)" required>
                                            <label id="labelCheckStatus" class="form-check-label" for="checkStatus">
                                                Desativado
                                            </label>
                                        </div>
                                    </div>
                                    <div class="col-12 mt-3">
                                        <button class="btn btn-success" type="button" onclick="salvarPessoa(this)">
                                            <span class="spinner-grow spinner-grow-sm d-none" role="status" aria-hidden="true"></span>
                                            Salvar
                                        </button>
                                        <button class="btn btn-secondary" type="button" onclick="novaPessoa(this)">Novo</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    
    <script>
        window.onload = () => {
            setTimeout(() => {
                initPessoas();
            }, 500);
        }
    </script>
</body>

</html>